org.eclipse.actf.model.ui

## Class ImagePositionInfo

- java.lang.Object
- - org.eclipse.actf.model.ui.ImagePositionInfo

    public class ImagePositionInfo
    extends Object

ImagePositionInfo stores position information of images

### Constructor Summary

Constructors
Constructor and Description
`ImagePositionInfo(int x, int y, int width, int height, String url)` Constructor of `ImagePositionInfo`
`ImagePositionInfo(org.eclipse.swt.graphics.Rectangle rect, String url, Element image)`

### Method Summary

Methods
`Element` `getElement()`
`int` `getHeight()`
`String` `getUrl()`
`int` `getWidth()`
`int` `getX()`
`int` `getY()`
`void` `setHeight(int height)` Set height
`void` `setUrl(String url)` Set URL of image
`void` `setWidth(int width)` Set width
`void` `setX(int x)` Set X position
`void` `setY(int y)` Set Y position

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImagePositionInfo

    public ImagePositionInfo(int x,
                     int y,
                     int width,
                     int height,
                     String url)

Constructor of `ImagePositionInfo`

Parameters:
  `x` - X position
  `y` - Y position
  `width` - width
  `height` - height
  `url` - image URL

#### ImagePositionInfo

    public ImagePositionInfo(org.eclipse.swt.graphics.Rectangle rect,
                     String url,
                     Element image)

### Method Detail

#### getHeight

    public int getHeight()

Returns:
  height

#### setHeight

    public void setHeight(int height)

Set height

Parameters:
  `height` -

#### getUrl

    public String getUrl()

Returns:
  URL of image as String

#### setUrl

    public void setUrl(String url)

Set URL of image

Parameters:
  `url` -

#### getWidth

    public int getWidth()

Returns:
  width

#### setWidth

    public void setWidth(int width)

Set width

Parameters:
  `width` -

#### getX

    public int getX()

Returns:
  X position

#### setX

    public void setX(int x)

Set X position

Parameters:
  `x` -

#### getY

    public int getY()

Returns:
  Y position

#### setY

    public void setY(int y)

Set Y position

Parameters:
  `y` -

#### getElement

    public Element getElement()